// Load json data:
scala> val data = sqlContext.read.json(sc.wholeTextFiles("file:///home/bdp/data/employees_multiLine.json").values)
scala> data.printSchema
scala> data.show
scala> val ingestedDate = java.time.LocalDate.now
// Add new column in df
scala> val jsonDfWithDate = data.withColumn("inegstedDate", lit(ingestedDate.toString()))
scala> jsonDfWithDate.printSchema

// Drop column in df
scala> val jsonDfWithoutManager = jsonDfWithDate.drop("manager")
scala> jsonDfWithoutManager.printSchema
scala> jsonDfWithoutManager.show

// Rename column in df
scala> val jsonWithRename = jsonDfWithoutManager.withColumnRenamed("ingestedDate", "ingestedDateTime")
scala> jsonWithRename.printSchema
scala> jsonWithRename.show
